JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros | Typedefs
juce_CharacterFunctions.h File Reference

## Classes
class | CharacterFunctions
| A collection of functions for manipulating characters and character strings. More...
struct | CharacterFunctions::HexParser< ResultType >
| Parses a character string, to read a hexadecimal value. More...

## Macros
#define | JUCE_NATIVE_WCHAR_IS_UTF8 0
| This macro will be set to 1 if the compiler's native wchar_t is an 8-bit type.
#define | JUCE_NATIVE_WCHAR_IS_UTF16 0
| This macro will be set to 1 if the compiler's native wchar_t is a 16-bit type.
#define | JUCE_NATIVE_WCHAR_IS_UTF32 1
| This macro will be set to 1 if the compiler's native wchar_t is a 32-bit type.

## Typedefs
using | juce_wchar = wchar_t
| A platform-independent 32-bit unicode character type.